Bug 8862 - configure: error: Your OS is unknown
Summary: configure: error: Your OS is unknown
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: 7.1 (2006.05)
Hardware: PowerPC Mac OS X (All)
: high normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-02 12:20 UTC by Peter Dyballa
Modified: 2007-03-11 16:28 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Peter Dyballa 2006-11-02 12:20:25 UTC
While trying to build the server configure terminates with this message – though config.log has from 
configure/on line

configure:28275: $? = 1
configure: failed program was:
#2906: | #define OSNAME "Darwin 8.8.0 Power Macintosh"

configure:28275: $? = 1
configure: failed program was:
#3007: | #define OSNAME "Darwin 8.8.0 Power Macintosh"

#3134: conftest.c:99:1: warning: "OSNAME" redefined
#3135: conftest.c:50:1: warning: this is the location of the previous definition

configure:31179: $? = 1
configure: failed program was:
#3190: | #define OSNAME "Darwin 8.8.0 Power Macintosh"
#3239: | #define OSNAME "UNKNOWN"

and a few more of these triplets.

Invoking 'sh -x ./configure ...' shows in shell:

	++ uname -srm
	+ OSNAME=Darwin 8.8.0 Power Macintosh
	.
	.
	.
	+ BUILDERADDR=xorg@lists.freedesktop.org
	+ test '' = set
	+ OSNAME=UNKNOWN
	+ test '' = set
	+ OSVENDOR=
	+ test '' = set

so it seems obvious that these line in configure fail to do theit bloody job:

	# Check whether --with-builder-addr was given.
	if test "${with_builder_addr+set}" = set; then
	  withval=$with_builder_addr;  BUILDERADDR="$withval"
	else
	   BUILDERADDR="xorg@lists.freedesktop.org"
	fi
	
	
	# Check whether --with-os-name was given.
	if test "${with_os_name+set}" = set; then
	  withval=$with_os_name;  OSNAME="$withval"
	else
	   OSNAME="UNKNOWN"
	fi
	
	
	# Check whether --with-os-vendor was given.
	if test "${with_os_vendor+set}" = set; then
	  withval=$with_os_vendor;  OSVENDOR="$withval"
	else
	   OSVENDOR=""
	fi

I changed line #27179 (OSNAME="UNKNOWN") to OSNAME="$OSNAME", but then at line #34066 comes 
the next failure:

			case $host_cpu in		(line #33792)
	.
	.
	.
		  *)
		  	XORG_OS="unknown"
			XORG_OS_SUBDIR="unknown"
			{ { echo "$as_me:$LINENO: error: Your OS is unknown. Xorg currently only supports 
Linux, \
			Free/Open/NetBSD, Solaris, and OS X. If you are interested in porting \
		        Xorg to your platform, please email xorg@lists.freedesktop.org." >&5
	echo "$as_me: error: Your OS is unknown. Xorg currently only supports Linux, \
			Free/Open/NetBSD, Solaris, and OS X. If you are interested in porting \
		        Xorg to your platform, please email xorg@lists.freedesktop.org." >&2;}
	   { (exit 1); exit 1; }; }
			;;
		esac

Can you see that "OS X" is mentioned as supported? Adding

	  darwin*)
	  	XORG_OS="darwin"
		XORG_OS_SUBDIR="bsd"
		;;

lets configure finish.

Mac OS X 10.4.8
GCC 4.0.1
| #define VERSION "1.2.99.0"
Comment 1 Daniel Stone 2006-11-02 12:38:01 UTC
does the server actually work with that?
Comment 2 Peter Dyballa 2006-11-02 15:24:11 UTC
I don't know what you mean with "that", I can only tell you it doesn't compile yet. Some others said they 
had more success in building earlier versions. One week ago I at least succeeded to build

  -rwxr-xr-x     1 pete  admin  1897016 25 Okt 11:58 Xprt
  -rwxr-xr-x     1 pete  admin  2540044 25 Okt 11:58 Xdmx
  -rwxr-xr-x     1 pete  admin  1711316 25 Okt 11:58 Xnest
  -rwxr-xr-x     1 pete  admin  2137600 25 Okt 11:58 Xvfb

Then I was interrupted in searching information on how to build a real X server and a window manager 
by the pre-release of TeX Live 2006 for Mac OS X.
Comment 3 Daniel Stone 2007-02-27 01:34:17 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 4 George - 2007-03-10 05:03:00 UTC
http://wiki.x.org/wiki/XDarwin suggests that X server on MacOS now works.

I see that you have filled many bugs related to MacOS. Please try again and close the bugs that have been fixed.
Comment 5 Peter Dyballa 2007-03-10 06:34:39 UTC
This bug is resolved: compiling of xserver from build.sh did start (although it did not finish successfully).

Do *I* have to close all bug reports? I was thinking that those who fix the bug close them.
Comment 6 George - 2007-03-10 07:09:34 UTC
(In reply to comment #5)
> This bug is resolved: compiling of xserver from build.sh did start (although it
> did not finish successfully).
> 
Thanks for testing.

> Do *I* have to close all bug reports? I was thinking that those who fix the bug
> close them.
> 
X.org has an overwhelming bug list which is well beyond the capacity of its developers. So, if you can go over the list of bugs you reported and close the ones fixed, that would be great help. I am a volunteer myself ...

You can easily get the bug list with:

https://bugs.freedesktop.org/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=&product=xorg&long_desc_type=substring&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&keywords_type=allwords&keywords=&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=substring&email1=&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emailtype2=substring&email2=Dyballa+&bugidtype=include&bug_id=&chfieldfrom=2005-10-10&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Bug+Number&field0-0-0=noop&type0-0-0=noop&value0-0-0=
Comment 7 George - 2007-03-10 07:13:43 UTC
Also, please try the instructions in http://wiki.x.org/wiki/XDarwin, build.sh is probably tailored for linux,*bsd etc.
Comment 8 Peter Dyballa 2007-03-10 08:12:43 UTC
OK, I'll try to check my bug reports (I already learned how to see my list).

Using the method described on http://wiki.x.org/wiki/XDarwin would make it necessary to commit to MacPorts – and I am a Fink user! One day Fink will also provide X11R7 as a package, so the Fink maintainers, hopefully, will also make bug reports when compilation fails. (I was and am in contact with Ben Byer from MacPorts.)

One remainder from my original bug report is still left open: the faulty XDarwinApp identifies itself with:

     Build Operating System: UNKNOWN 

Can you fix this issue, too?


Anyway, I am very thankful that someone started to integrate the many patches in XDarwin, that work can go on to fix some (hopefully) final issues! (http://bugs.freedesktop.org/show_bug.cgi?id=10242)
Comment 9 George - 2007-03-10 08:23:44 UTC
(In reply to comment #8)
> OK, I'll try to check my bug reports (I already learned how to see my list).
> 
That will be great!

> 
> One remainder from my original bug report is still left open: the faulty
> XDarwinApp identifies itself with:
> 
>      Build Operating System: UNKNOWN 
> 
> Can you fix this issue, too?
> 
You probably need to define --with-os-name=OSNAME --with-os-vendor=OSVENDOR at configure time.
Comment 10 George - 2007-03-10 08:30:54 UTC
oh, and I didn't fix the other issues, Ben Byer did
Comment 11 Peter Dyballa 2007-03-10 09:13:11 UTC
I updated with git and started to re-make all with  --with-xcb=no. First surprise, doc/xorg-sgml-doctools:

./configure: line 2208: XORG_RELEASE_VERSION: command not found


 doc/xorg-docs:

./configure: line 2161: XORG_MANPAGE_SECTIONS: command not found
./configure: line 2162: XORG_RELEASE_VERSION: command not found
./configure: line 2204: XORG_CHECK_DOCBOOK: command not found

I think these lead into new bug reports!


I am leaving now and let GNU Emacs compile for hours ...
Comment 12 Julien Cristau 2007-03-10 09:29:02 UTC
(In reply to comment #11)
> I updated with git and started to re-make all with  --with-xcb=no. First
> surprise, doc/xorg-sgml-doctools:
> 
> ./configure: line 2208: XORG_RELEASE_VERSION: command not found
> 
You need to have util-macros installed when you run autogen.sh.
Comment 13 Peter Dyballa 2007-03-10 12:05:37 UTC
Ah, yes: I had removed the whole X11R7.1 built tree! But at least I was clever enough to let build the preliminaries to return when I could start to compile lib or app.

Looks better now, except that "Building doc module component xorg-docs" still fails and I can't find my bug report from one or two weeks ago! (Was I dreaming?)
Comment 14 Peter Dyballa 2007-03-11 16:28:43 UTC
Solved. I.e. it works to compile the X server on Mac OS X now. Using among the CONFFLAGS in build.sh  --with-os-name='Mac OS X' --with-os-vendor='Apple, Inc.', i.e. names with spaces, (some ?) configure fails and read OS or Inc as host type or such.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.